#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - libreadline6 installation
#
# Creation   :  2017-10-29 holbru
# Last update:  $Id: postinstall-libreadline6.sh 47862 2017-12-12 21:58:39Z hbfl $
#
# Copyright (c) 2017-2017 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libreadline6

# ---------------------------------------------------------------------------
# update-2.7.13
# ---------------------------------------------------------------------------
update_2_7_13()
{

rm -f /lib/libreadline.so.6.2
rm -f /lib/libhistory.so.6.2

}

# ---------------------------------------------------------------------------
# update-2.8.1
# ---------------------------------------------------------------------------
update_2_8_1()
{

rm -f /lib/libreadline.so.6.2
rm -f /lib/libhistory.so.6.2

}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------
base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)
    
update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
